- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axiom_children_iterator.h File Reference

this is the iterator for om nodes More...

`#include <axiom_node.h>`
`#include <axiom_text.h>`

Go to the source code of this file.

## Typedefs
typedef struct axiom_children_iterator | axiom_children_iterator_t
## Functions
AXIS2_EXTERN axiom_children_iterator_t * | axiom_children_iterator_create (const axutil_env_t *env, axiom_node_t *current_child)
AXIS2_EXTERN void | axiom_children_iterator_free (axiom_children_iterator_t *iterator, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_children_iterator_remove (axiom_children_iterator_t *iterator, const axutil_env_t *env)
AXIS2_EXTERN axis2_bool_t | axiom_children_iterator_has_next (axiom_children_iterator_t *iterator, const axutil_env_t *env)
AXIS2_EXTERN axiom_node_t * | axiom_children_iterator_next (axiom_children_iterator_t *iterator, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_children_iterator_reset (axiom_children_iterator_t *iterator, const axutil_env_t *env)

## Detailed Description

this is the iterator for om nodes